import https from "@/plugins/luch-request_0.0.7/request";

/** *
 * 盘点列表
 */
export const getCheckOrderListApi = async status => {
	return https.get("/check-order/list", { status });
};
/** *
	*  盘点确认,保存入库 2021.05.21 姜枫
	*/
export const checkOrderApi = async data => {
	return https.post("/check-order/create-order", data);
};
/** *
 * 编辑草稿 ,保存入库
 */
export const updateCheckOrderApi = async data => {
	return https.post("/check-order/update-order", data);
};

/** *
 * 编辑草稿 ，继续保存到草稿
 */
export const updateCheckOrderToDraftApi = async data => {
	return https.post("/check-order/update-draft", data);
};

/** *
 * 盘点存草稿
 */
export const savaCheckOrderDraftApi = async data => {
	return https.post("/check-order/create-draft", data);
};

/** *
 * 盘点订单详情
 */
export const getCheckOrderDetailApi = async orderSn => {
	return https.get("/check-order/detail", { orderSn });
};

/** *
 * 盘点确认
 */
export const savaCheckOrderApi = async data => {
	return https.post("/check-order/create-order", data);
};
